<?php

function convertJsonToCSV($jsonFile, $csvFile)
{
    if (($json = file_get_contents($jsonFile)) == false) {
        die('Unable to read JSON file.');
    }
    $jsonString = json_decode($json, true);
    $fp = fopen($csvFile, 'w');
    fputcsv($fp, array_keys($jsonString[0]));
    for ($i = 0; $i < count($jsonString); $i ++) {
        fputcsv($fp, array_values($jsonString[$i]));
    }
    fclose($fp);
    return;
}
$jsonFile = 'animals.json';
$csvFile = 'animals.csv';

convertJsonToCSV($jsonFile, $csvFile);
echo 'JSON to CSV converted. <a href="' . $csvFile . '" target="_blank">Download CSV file</a>';
