<?php
if (! empty($_FILES["csv-file"]["tmp_name"])) {
    $csvFile = 'animal.csv';
    if (($json = file_get_contents($_FILES["csv-file"]["tmp_name"])) == false) {
        die('Unable to read JSON file.');
    }
    $jsonString = json_decode($json, true);
    $fp = fopen($csvFile, 'w');
    fputcsv($fp, array_keys($jsonString[0]));
    for ($i = 0; $i < count($jsonString); $i ++) {
        fputcsv($fp, array_values($jsonString[$i]));
    }
    fclose($fp);
    echo 'JSON to CSV converted. <a href="' . $csvFile . '" target="_blank">Download CSV file</a>';
}
?>
<HTML>
<head>
<title>Convert JSON to CSV</title>
<style>
body {
    font-family: arial;
}

input[type="file"] {
    padding: 5px 10px;
    margin: 30px 0px;
    border: #666 1px solid;
    border-radius: 3px;
}
input[type="submit"] {
    padding: 8px 20px;
    border: #232323 1px solid;
    border-radius: 3px;
    background: #232323;
    color: #FFF;
}
</style>
</head>

<body>
    <form method="post" enctype="multipart/form-data">
        <input type="file" name="csv-file" accept=".json" /> <input
            type="submit" name="upload" value="Upload">
    </form>
</body>
</HTML>