<?php
function convertJsonToCSV($jsonString, $csvFile)
{
    $jsonArray = json_decode($jsonString, true);
    $fp = fopen($csvFile, 'w');
    $header = false;
    foreach ($jsonArray as $line) {
        if (empty($header)) {
            $header = array_keys($line);
            fputcsv($fp, $header);
            $header = array_flip($header);
        }
        fputcsv($fp, array_merge($header, $line));
    }
    fclose($fp);
    return;
}
$jsonString = '[
    {
        "Id": "1",
        "Name": "Lion",
        "Type": "Wild",
        "Role": "Lazy Boss"
    },
    {
        "Id": "2",
        "Name": "Tiger",
        "Type": "Wild",
        "Role": "CEO"
    },
    {
        "Id": "3",
        "Name": "Jaguar",
        "Type": "Wild",
        "Role": "Developer"
    }
]';
$csvFile = 'animals.csv';

convertJsonToCSV($jsonString, $csvFile);
echo 'JSON to CSV converted. <a href="' . $csvFile . '" target="_blank">Download CSV file</a>';
